curl --request GET \
--url https://api.mijnklantportaal.nl/v1/punch-cards \
--header 'Authorization: Bearer <token>'{
"current_page": 1,
"data": [
{
"id": "pcd_abc12345def678",
"name": "Driving lessons",
"description": "Lessons in a BMW, Mon-Fri 09AM-05PM",
"punches": 20,
"punchLabel": "lessons",
"forSale": true,
"price": "229.95",
"vatRate": 21,
"expiryValue": 3,
"expiryPeriode": "years",
"createdAt": "2025-11-19T21:00:00+02:00"
}
],
"first_page_url": "https://api.mijnklantportaal.nl/v1/punch-cards?page=1",
"from": 1,
"next_page_url": "https://api.mijnklantportaal.nl/v1/punch-cards?page=2,",
"path": "https://api.mijnklantportaal.nl/v1/punch-cards",
"per_page": 15,
"prev_page_url": null,
"to": 15
}Getting all punch cards as paginated response
curl --request GET \
--url https://api.mijnklantportaal.nl/v1/punch-cards \
--header 'Authorization: Bearer <token>'{
"current_page": 1,
"data": [
{
"id": "pcd_abc12345def678",
"name": "Driving lessons",
"description": "Lessons in a BMW, Mon-Fri 09AM-05PM",
"punches": 20,
"punchLabel": "lessons",
"forSale": true,
"price": "229.95",
"vatRate": 21,
"expiryValue": 3,
"expiryPeriode": "years",
"createdAt": "2025-11-19T21:00:00+02:00"
}
],
"first_page_url": "https://api.mijnklantportaal.nl/v1/punch-cards?page=1",
"from": 1,
"next_page_url": "https://api.mijnklantportaal.nl/v1/punch-cards?page=2,",
"path": "https://api.mijnklantportaal.nl/v1/punch-cards",
"per_page": 15,
"prev_page_url": null,
"to": 15
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Paginated response with punch cards
Current page of the response
1
Array of Punch Cards objects
Show child attributes
ID of the punch card, always starting with pcd_.
"pcd_abc12345def678"
"Driving lessons"
Description of the card. Will be shown in the portal
"Lessons in a BMW, Mon-Fri 09AM-05PM"
Punch count for this card
20
Type of punches
"lessons"
Indicates if the punch card can be bought online in the customer portal
true
Price, including VAT, of which this card will be sold for, in EUR. Will be null when the card is not for sale
"229.95"
Percentage of VAT which is applied to the price. Can be 21, 9 or 0. Will be null when the card is not for sale
21
Number of units when this cards expires into the future
3
Unit of when this cards expires into the future. Can be days, months or years.
"years"
Date and time when the card was created. Written in ATOM format.
"2025-11-19T21:00:00+02:00"
Endpoint to go to the first page of objects
"https://api.mijnklantportaal.nl/v1/punch-cards?page=1"
Offset of the current page
1
Endpoint to get the next batch of objects, if available
"https://api.mijnklantportaal.nl/v1/punch-cards?page=2,"
Current used endpoint
"https://api.mijnklantportaal.nl/v1/punch-cards"
Amount of object returned per page. Default is 15 objects
15
Endpoint to get the previous batch of object, if available
null
Next offset of objects
15